Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
admin/articlelist.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ( $ArticleID, $CategoryID, $CategoryArray)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $Locale = new eZLocale( $Language )
| $AdminListLimit = $ini->variable( "eZArticleMain", "AdminListLimit" )
| $session =& eZSession::globalSession()
if(isset( $GoTo) &&is_Numeric( $GoToCategoryID)) if(isset( $StoreSelection)) | $articleMix =& $session->variable( "MixUnpublished" )
| $ArticleSelection =& $articleMix
if( $articleMix=="") if(isset( $CopyCategories)) if(isset( $DeleteArticles)) if(isset( $DeleteCategories)) | $t
| $category = new eZArticleCategory( $CategoryID )
if( $ini->variable("eZArticleMain", "CategoryDescriptionXML")=="enabled") | else
| $pathArray = $category->path()
foreach( $pathArray as $path) | $categoryList =& $category->getByParent( $category, true, "placement" )
| $tree = new eZArticleCategory()
| $treeArray =& $tree->getTree()
foreach( $treeArray as $catItem) | $i = 0
| $articleCount = 0
| $locale = new eZLocale( $Language )

## Function Documentation

## ◆ deleteCache()

deleteCache | ( |  | $ArticleID,
|  |  | $CategoryID,
|  |  | $CategoryArray
| ) |  |

Delete cache.

Definition at line 542 of file admin/articlelist.php.

References $ArticleID, $CategoryID, and eZArticleTool\deleteCache().

## Variable Documentation

## ◆ $AdminListLimit

$AdminListLimit = $ini->variable( "eZArticleMain", "AdminListLimit" )

Definition at line 42 of file admin/articlelist.php.

## ◆ $articleCount

$articleCount = 0

Definition at line 456 of file admin/articlelist.php.

Referenced by eZArticle\createIndex(), and eZNyheterNOImporter\news().

## ◆ $articleMix

if (isset($GoTo) &&is_Numeric($GoToCategoryID)) if (isset($StoreSelection)) $articleMix =& $session->variable( "MixUnpublished" )

Definition at line 76 of file admin/articlelist.php.

## ◆ $ArticleSelection

$ArticleSelection =& $articleMix

Definition at line 78 of file admin/articlelist.php.

## ◆ $category

$category = new eZArticleCategory( $CategoryID )

Definition at line 227 of file admin/articlelist.php.

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList =& $category->getByParent( $category, true, "placement" )

Definition at line 313 of file admin/articlelist.php.

## ◆ $i

$i = 0

Definition at line 336 of file admin/articlelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 38 of file admin/articlelist.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 40 of file admin/articlelist.php.

## ◆ $Locale

$Locale = new eZLocale( $Language )

Definition at line 41 of file admin/articlelist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 471 of file admin/articlelist.php.

## ◆ $pathArray

$pathArray = $category->path()

Definition at line 303 of file admin/articlelist.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 44 of file admin/articlelist.php.

Referenced by ezpRestClient\authorizeFor(), eZOrderConfirmation\confirm(), eZUser\currentUser(), eZUser\currentUsers(), ezpOauthUtility\doRefreshToken(), ezpOauthUtility\doRefreshTokenWithAuthorizationCode(), ezpRestToken\fetch(), ezpRestClient\fetchByClientId(), ezpRestAuthorizedClient\fetchForClientUser(), eZSession\get(), eZCart\getBySession(), eZSession\globalSession(), eZSession\issetkey(), eZUser\loginUser(), eZUser\logout(), eZWishListItem\moveToCart(), ezpbKernelWeb\run(), eZOrderConfirmation\sendMail(), eZSession\set(), eZCart\setSession(), eZSession\unsetkey(), and eZShippingType\vatType().

## ◆ $t

if ($articleMix=="") if (isset($CopyCategories)) if (isset($DeleteArticles)) if (isset($DeleteCategories)) $t

Initial value:
= new eZTemplate( "kernel/ezarticle/admin/" . $ini->variable( "eZArticleMain", "AdminTemplateDir" ),
"kernel/ezarticle/admin/intl/", $Language, "articlelist.php" )
$Language
$Language
Definition: admin/articlelist.php:40
$ini
$ini
Definition: admin/articlelist.php:38
eZTemplate
Definition: eztemplate.php:107

Definition at line 191 of file admin/articlelist.php.

## ◆ $tree

$tree = new eZArticleCategory()

Definition at line 316 of file admin/articlelist.php.

## ◆ $treeArray

$treeArray =& $tree->getTree()

Definition at line 317 of file admin/articlelist.php.

## ◆ else

if ($category->sortMode()=="absolute_placement") else

Initial value:
{
$t->set_var( "current_category_description", $category->description() )
$category
$category
Definition: admin/articlelist.php:227
$t
if( $articleMix=="") if(isset( $CopyCategories)) if(isset( $DeleteArticles)) if(isset( $DeleteCategories)) $t
Definition: admin/articlelist.php:191

Definition at line 296 of file admin/articlelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.